﻿using Hotline.Share.Dtos.Push;

namespace Hotline.Push
{
    public interface IPushDomainService
    {
        /// <summary>
        /// 短信发送
        /// </summary>
        /// <param name="messageDto"></param>
        /// <param name="cancellation"></param>
        /// <returns></returns>
        Task PushAsync(MessageDto messageDto, CancellationToken cancellation);

        /// <summary>
        /// 查询短信剩余数量
        /// </summary>
        /// <returns></returns>
        Task<string> GetAccountNum();

        /// <summary>
        /// 短信发送状态回调接口
        /// </summary>
        /// <param name="account">短信回传账号</param>
        /// <param name="pswd">短信回传密码</param>
        /// <param name="msgid">短信中心短信待发送ID，同短信发送接口返回值ID</param>
        /// <param name="sendtime">短信发送时间</param>
        /// <param name="msgcount">发送短信使用的数量</param>
        /// <param name="state">发送状态：0:未发送  1:发送中  2:发送失败  3:发送成功</param>
        /// <param name="errormsg">错误消息</param>
        /// <param name="sfid">短信中心短信已发送ID</param>
        /// <param name="telnumall">手机号码</param>
        /// <param name="sign">短信签名</param>
        /// <returns></returns>
        Task<string> ReceiveObtain(string account, string pswd, string msgid, string sendtime, int msgcount, int state, string errormsg, int sfid, string telnumall, string sign);
    }
}
